This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 806898 - (CVE-2010-5077) CVE-2010-5077 quake3: DDoS via getstatus and rcon requests
CVE-2010-5077 quake3: DDoS via getstatus and rcon requests
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111206,repor...
: Reopened, Security
Depends On: 806980
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 09:02 EDT by Jan Lieskovsky
Modified: 2012-09-04 17:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 17:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-26 09:02:20 EDT
A distributed denial of service flaw was found in the way Quake3 Arena / OpenArena servers used to handle 'getstatus' and 'rcon' (remote command) connectionless requests. A remote attacker could use this flaw to perform distributed denial of service attack against the target server IP gameserver by spoofing certain packets.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=665656
[2] http://openarena.ws/board/index.php?topic=4391.0
[3] http://www.ioquake.org/forums/viewtopic.php?f=12&t=1694
[4] http://www.urbanterror.info/forums/topic/27825-drdos/
[5] http://lists.ioquake.org/pipermail/ioquake3-ioquake.org/2012-January/004778.html

Relevant upstream patch:
[6] http://icculus.org/pipermail/quake3-commits/2010-January/001679.html
Comment 1 Jan Lieskovsky 2012-03-26 09:10:49 EDT
CVE request:
http://www.openwall.com/lists/oss-security/2012/03/26/2
Comment 2 Jan Lieskovsky 2012-03-26 09:12:32 EDT
This issue did NOT affect the current versions of the quake3 package, as shipped with Fedora release of 15 and 16 (those versions already contain upstream patch preventing this deficiency).
Comment 3 Vincent Danen 2012-03-26 12:59:39 EDT
This issue does seem to affect Tremulous 1.2beta1 which we ship in Fedora (the patch is unapplied there).  Originally reported via http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=665842
Comment 4 Vincent Danen 2012-03-26 13:01:23 EDT
Created tremulous tracking bugs for this issue

Affects: fedora-all [bug 806980]
Comment 5 Vincent Danen 2012-03-26 16:27:33 EDT
This issue has been assigned the name CVE-2010-5077.
Comment 6 Fedora Update System 2012-04-18 15:24:45 EDT
tremulous-1.2.0-0.5.beta1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-18 19:12:30 EDT
tremulous-1.2.0-0.5.beta1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.